<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::TestEventListeners Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1TestEventListeners.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">testing::TestEventListeners Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1207dce74d64c1c39ffa6105560536a0"><td class="memItemLeft" align="right" valign="top"><a id="a1207dce74d64c1c39ffa6105560536a0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Append</b> (<a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a> *listener)</td></tr>
<tr class="separator:a1207dce74d64c1c39ffa6105560536a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a038c9fa1975f84d6f3d25b52bc7bccdd"><td class="memItemLeft" align="right" valign="top"><a id="a038c9fa1975f84d6f3d25b52bc7bccdd"></a>
<a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>Release</b> (<a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a> *listener)</td></tr>
<tr class="separator:a038c9fa1975f84d6f3d25b52bc7bccdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6293443acb5af942eeec638b6aa6dcf2"><td class="memItemLeft" align="right" valign="top"><a id="a6293443acb5af942eeec638b6aa6dcf2"></a>
<a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>default_result_printer</b> () const</td></tr>
<tr class="separator:a6293443acb5af942eeec638b6aa6dcf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa880de6ddfc3f5824371853c6846abbd"><td class="memItemLeft" align="right" valign="top"><a id="aa880de6ddfc3f5824371853c6846abbd"></a>
<a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>default_xml_generator</b> () const</td></tr>
<tr class="separator:aa880de6ddfc3f5824371853c6846abbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ab9aaba231fd11196425e75caf709bfc6"><td class="memItemLeft" align="right" valign="top"><a id="ab9aaba231fd11196425e75caf709bfc6"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>TestSuite</b></td></tr>
<tr class="separator:ab9aaba231fd11196425e75caf709bfc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c49c2cdb6c328e6b709b4542f23de3c"><td class="memItemLeft" align="right" valign="top"><a id="a4c49c2cdb6c328e6b709b4542f23de3c"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>TestInfo</b></td></tr>
<tr class="separator:a4c49c2cdb6c328e6b709b4542f23de3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abae39633da9932847b41cb80efd62115"><td class="memItemLeft" align="right" valign="top"><a id="abae39633da9932847b41cb80efd62115"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::DefaultGlobalTestPartResultReporter</b></td></tr>
<tr class="separator:abae39633da9932847b41cb80efd62115"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afddba49fdf3f493532b4d5efb9814f4e"><td class="memItemLeft" align="right" valign="top"><a id="afddba49fdf3f493532b4d5efb9814f4e"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::NoExecDeathTest</b></td></tr>
<tr class="separator:afddba49fdf3f493532b4d5efb9814f4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addbc107b6b445617c880182bd4f44cf9"><td class="memItemLeft" align="right" valign="top"><a id="addbc107b6b445617c880182bd4f44cf9"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::TestEventListenersAccessor</b></td></tr>
<tr class="separator:addbc107b6b445617c880182bd4f44cf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc0a5e7573fd6ae7ad1878613bb86853"><td class="memItemLeft" align="right" valign="top"><a id="acc0a5e7573fd6ae7ad1878613bb86853"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::UnitTestImpl</b></td></tr>
<tr class="separator:acc0a5e7573fd6ae7ad1878613bb86853"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gtest_8h_source.html">gtest.h</a></li>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1TestEventListeners.html">TestEventListeners</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
